package utilerr;

use strict;

my $mod   = "UtilErr";
my $lpipe = undef;
my $epipe = undef;


my %errcode = (
   "000" => "Invalid config file",
   "001" => "Socket creation failed",
   "002" => "Setsockopt failed",
   "003" => "Binding failed",
   "004" => "Listen failed",
   "005" => "Server fork error",

   "300" => "Invalid config file",
   "301" => "Socket creation failed",
   "302" => "Connection failed",
   "303" => "Socket close failed",
   "304" => "Cannot Fork child process",
);

sub set_env {
   ($lpipe,$epipe) = @_;
}


# print error message in error code
sub prterr {
   my ($m,$code) = @_; 

   # this happens only when config file is not loaded yet.
   unless(defined($epipe)){
      debug::errmsg($m, "STDERR", "$code: $errcode{$code}");   
      return;
   }

   debug::errmsg($m, $epipe, $errcode{$code});
}

# print verbose err. (with given message)
sub prtvberr {
   my ($m,$code,$msg) = @_; 

   my $msg = $code . ": " . $errcode{$code} . " : " . $msg;
   debug::errmsg($m, $epipe, $msg);
}

# print direct error message
sub prterrmsg {
   my ($m,$msg) = @_;
   debug::errmsg($m, $epipe, $msg);  
}

1;
