-- phpMyAdmin SQL Dump
-- version 2.6.2-pl1
-- http://www.phpmyadmin.net
--
-- Generation Time: Jan 04, 2007 at 12:38 PM
-- Server version: 3.23.58
-- PHP Version: 4.3.11
--
-- Database: `HPCALE_DB`
--

-- --------------------------------------------------------

--
-- Table structure for table `cluster`
--

DROP TABLE IF EXISTS `cluster`;
CREATE TABLE IF NOT EXISTS `cluster` (
  `cluster_id` int(10) unsigned NOT NULL auto_increment,
  `clst_name` varchar(30) NOT NULL default '',
  `scheduler` varchar(30) NOT NULL default '',
  `nNode` int(10) unsigned NOT NULL default '0',
  `available` int(10) unsigned NOT NULL default '0',
  `rc_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`cluster_id`),
  KEY `rc_ind` (`rc_id`)
) TYPE=InnoDB AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

--
-- Table structure for table `component`
-- 

DROP TABLE IF EXISTS `component`;
CREATE TABLE IF NOT EXISTS `component` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `compID` varchar(30) NOT NULL default '',
  `rc_id` int(10) unsigned NOT NULL default '0',
  `path` varchar(255) NOT NULL default '',
  `file` varchar(50) NOT NULL default '',
  `type` varchar(50) NOT NULL default '',
  `parallel` int(10) unsigned NOT NULL default '0',
  `launchprog` varchar(255) NOT NULL default '',
  `launcharg` varchar(255) NOT NULL default '',
  `descfile` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `rc_ind` (`rc_id`)
) TYPE=InnoDB AUTO_INCREMENT=37 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `dataport`
-- 

DROP TABLE IF EXISTS `dataport`;
CREATE TABLE IF NOT EXISTS `dataport` (
  `port_id` int(10) unsigned NOT NULL auto_increment,
  `component_id` int(10) unsigned NOT NULL default '0',
  `port_name` varchar(30) NOT NULL default '',
  `port_type` varchar(30) NOT NULL default '',
  `port_desc` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`port_id`),
  KEY `comp_ind` (`component_id`)
) TYPE=InnoDB AUTO_INCREMENT=91 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `joblist`
--

DROP TABLE IF EXISTS `joblist`;
CREATE TABLE IF NOT EXISTS `joblist` (
  `job_id` int(10) unsigned NOT NULL auto_increment,
  `clienthost` varchar(30) NOT NULL default '',
  `clientuser` varchar(30) NOT NULL default '',
  `allocated` varchar(10) NOT NULL default '',
  `executed` varchar(10) NOT NULL default '',
  PRIMARY KEY  (`job_id`)
) TYPE=InnoDB AUTO_INCREMENT=517 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `node`
-- 

DROP TABLE IF EXISTS `node`;
CREATE TABLE IF NOT EXISTS `node` (
  `node_id` int(10) unsigned NOT NULL auto_increment,
  `node_name` varchar(10) NOT NULL default '',
  `domain` varchar(30) NOT NULL default '',
  `rc_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`node_id`),
  KEY `rc_ind` (`rc_id`)
) TYPE=InnoDB AUTO_INCREMENT=7 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `rcmgr`
-- 

DROP TABLE IF EXISTS `rcmgr`;
CREATE TABLE IF NOT EXISTS `rcmgr` (
  `mgr_id` int(10) unsigned NOT NULL auto_increment,
  `mgr_host` varchar(50) NOT NULL default '',
  `mgr_hostip` varchar(20) default NULL,
  PRIMARY KEY  (`mgr_id`)
) TYPE=InnoDB AUTO_INCREMENT=6 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `rctype`
-- 

DROP TABLE IF EXISTS `rctype`;
CREATE TABLE IF NOT EXISTS `rctype` (
  `type_id` int(10) unsigned NOT NULL auto_increment,
  `type_name` varchar(30) default NULL,
  PRIMARY KEY  (`type_id`)
) TYPE=InnoDB AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `resource`
-- 

DROP TABLE IF EXISTS `resource`;
CREATE TABLE IF NOT EXISTS `resource` (
  `rc_id` int(10) unsigned NOT NULL auto_increment,
  `mgr_id` int(10) unsigned NOT NULL default '0',
  `rctype_id` int(10) unsigned NOT NULL default '0',
  `rcname` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`rc_id`),
  KEY `mgr_ind` (`mgr_id`),
  KEY `rctype_ind` (`rctype_id`)
) TYPE=InnoDB AUTO_INCREMENT=13 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `runtimereq`
-- 

DROP TABLE IF EXISTS `runtimereq`;
CREATE TABLE IF NOT EXISTS `runtimereq` (
  `req_id` int(10) unsigned NOT NULL auto_increment,
  `component_id` int(10) unsigned NOT NULL default '0',
  `req_name` varchar(30) default NULL,
  `req_option` varchar(30) default NULL,
  PRIMARY KEY  (`req_id`),
  KEY `comp_ind` (`component_id`)
) TYPE=InnoDB AUTO_INCREMENT=38 ;

-- 
-- Constraints for dumped tables
-- 

-- 
-- Constraints for table `cluster`
-- 
ALTER TABLE `cluster`
  ADD FOREIGN KEY (`rc_id`) REFERENCES `HPCALE_DB.resource` (`rc_id`);

-- 
-- Constraints for table `component`
--
ALTER TABLE `component`
  ADD FOREIGN KEY (`rc_id`) REFERENCES `HPCALE_DB.resource` (`rc_id`);

-- 
-- Constraints for table `dataport`
-- 
ALTER TABLE `dataport`
  ADD FOREIGN KEY (`component_id`) REFERENCES `HPCALE_DB.component` (`id`);

-- 
-- Constraints for table `node`
-- 
ALTER TABLE `node`
  ADD FOREIGN KEY (`rc_id`) REFERENCES `HPCALE_DB.resource` (`rc_id`);

-- 
-- Constraints for table `resource`
-- 
ALTER TABLE `resource`
  ADD FOREIGN KEY (`mgr_id`) REFERENCES `HPCALE_DB.rcmgr` (`mgr_id`),
  ADD FOREIGN KEY (`rctype_id`) REFERENCES `HPCALE_DB.rctype` (`type_id`);

-- 
-- Constraints for table `runtimereq`
-- 
ALTER TABLE `runtimereq`
  ADD FOREIGN KEY (`component_id`) REFERENCES `HPCALE_DB.component` (`id`);
