# Written by Il-Chul Yoon <iyoon@cs.umd.edu>

package Conn;

BEGIN{
    push (@INC, "$ENV{HPCALE_SERVER_HOME}");
}

use util::XJDParser;
use strict;

sub new {
    my $classname  = shift;         # What class are we constructing?
    my $name = shift;
    my $conn = shift;
    my $exporter = shift;
    my $importer = shift;
    my $exportport  = shift;
    my $importport  = shift;

    my $self   = {};                # Allocate new memory

    bless($self, $classname);       # Mark it of the right type

    $self->_init($name, $conn, $exporter, $importer, $exportport, $importport);

    return $self;
}

# "private" method to initialize fields.
sub _init {
    my $self = shift;
    my $name = shift;
    my $conn = shift;
    my $exporter = shift;
    my $importer = shift;
    my $exportport  = shift;
    my $importport  = shift;

    $self->{name} = $name;
    $self->{conn} = $conn;
    $self->{exporter} = $exporter;
    $self->{importer} = $importer;
    $self->{exportport}  = $exportport;
    $self->{importport}  = $importport;
}

sub getExporter {
    my $self = shift;

    return $self->{exporter};
}

sub getImporter {
    my $self = shift;

    return $self->{importer};
}

sub getExporterPort {
    my $self = shift;
    
    return $self->{exportport};
}

sub getImporterPort {
    my $self = shift;
    
    return $self->{importport};
}

sub getConnection {
    my $self = shift;

    return $self->{conn};
}


sub toString {
    my $self = shift;
    my $out = "";

    my $name = $self->{name};
    my $exporter = $self->{exporter};
    my $importer = $self->{importer};
    my $exportport  = $self->{exportport};
    my $importport  = $self->{importport};

    $out .= "$name - $exporter - $importer - $exportport - $importport \n";

    return $out;
}
1;

