# Written by Il-Chul Yoon <iyoon@cs.umd.edu>

package Node;

BEGIN{
    push (@INC, "$ENV{HPCALE_SERVER_HOME}");
}

use util::XJDParser;
use strict;

sub new {
    my $classname  = shift;         # What class are we constructing?
    my $comp = shift;
    my $needNode = shift;
    my $needCluster = shift;
    my $nodesetDef = shift;
    
    my $self = {};                # Allocate new memory

    bless($self, $classname);       # Mark it of the right type

    $self->_init($comp, $needNode, $needCluster, $nodesetDef);

    return $self;
}

# "private" method to initialize fields.
sub _init {
    my $self = shift;
    my $comp = shift;
    my $needNode = shift;
    my $needCluster = shift;
    my $nodesetDef = shift;

    $self->{name} = $comp->{name};
    $self->{comp} = $comp;
    $self->{connlist} = ();

    $self->{needNode} = $needNode;
    $self->{needCluster} = $needCluster;
    $self->{nodesetDef} = $nodesetDef;
}

sub addConn($){
    my $self = shift;
    my $name = shift;
    my $conn = shift;

    $self->{connlist}->{name} = $conn;
}

sub getConns {
    my $self = shift;

    return $self->{connlist};
}

sub needNode {
    my $self = shift;
    ($self->{needNode} == 1) ? 1 : 0;
}

sub needCluster {
    my $self = shift;
    ($self->{needCluster} == 1) ? 1 : 0;
}

sub isNodesetDef {
    my $self = shift;
    ($self->{nodesetDef} == 1) ? 1 : 0;
}

sub toString {
    my $self = shift;
    my $out = "";
    
    $out .= "Comp Name      : " . $self->{name} . "\n";
    $out .= "Need Node      : " . $self->{needNode} . "\n";
    $out .= "Need Cluster   : " . $self->{needCluster} . "\n";
    $out .= "NodesetDefined : " . $self->{nodesetDef} . "\n\n";

    return $out;
}

sub getComponent {
    my $self = shift;

    return $self->{comp};
}

1;

